/**
 * FPF 2016
 * Layout Jari Kiiskinen
 * Code Iivo Raitahila
 */

/**
 * General 
 */

body {
    padding-bottom: 20px;
    font-family: "proxima-nova", sans-serif;
    font-size: 16px;
}

h1 {
    color: #438b92;
    font-weight: 600;
    text-align: center;
}

h2 {
    color: #438b92;
    font-weight: bold;
    font-size: 22px;
}

a {
    color: #438b92;
    text-decoration: none;
}

.active a, .topmenu .active a {
    color: black;
    font-weight: bold;
}

.underline {
    text-decoration: underline;
}

footer a {
     color: grey;
}

.regular {
    font-weight: normal;
}

.large {
    font-size: 20px;
}

.onlyprint {
    display: none;
}

.larger-input {
    min-width: 300px;   
}

.table-padding {
    width: 40px;
}

.topborder {
    border-top: 1px solid black;
    padding-top: 9px;
    padding-bottom: 9px;
}

.noborders tbody tr td, .noborders tbody tr th, .noborders thead tr th {
    border: none;
}

.topmargin {
    margin-top: 20px;
}

.toppadding {
    padding-top: 20px;
}

.leftpadding {
    padding-left: 15px;
}

.rightalign {
    text-align: right;
}

.centeralign {
    text-align: center;
}

.rightpadding {
    padding-right: 5px;
}

.bottompadding {
    padding-bottom: 10px;
}

.bottommargin {
    margin-bottom: 15px;
}

.noleftpadding {
    padding-left: 0px;
}

.clear {
    clear: both;
}

.fullwidth {
    width: 100%;
}

/**
 * Layout 
 */

.topmatter {
    height: 8px;
    background-color: #b7b7b7;
}

.bottommatter {
    padding: 0px;
    height: 41px;
    background-color: #438b92;
    color: white;
    border-bottom: white 1px solid;
    margin-top: 35px;
}

.slogan {
    min-width: 300px;
    height: 42px;
    float: right;
    line-height: 42px;
    font-weight: bold;
}

@media (max-width: 500px) {
    .slogan {
        display: none;
    }
    .bottommenu {
        display: none;
    }
}

.contactinfo {
    min-width: 100px;
    min-height: 50px;
    float: left;
    padding-left: 44px;
}

.footer {
    color: white;
    background: #74787b;
    padding-top: 10px;
    padding-bottom: 10px;
}

aside {
    background: #fabb00;
    font-weight: bold;
    padding: 15px;
    margin-bottom: 10px;
}

/**
 * Menus
 */

.topmenu {
    min-height: 20px;
    min-width: 20px;
    float: right;
}

.topmenu a {
    color: dimgray;
}

.submenu {
    height: 28px;
    line-height: 28px;
    background-color: #438b92;
    color: white;
}

.bottommenu {
    min-width: 100px;
    min-height: 50px;
    float: right;
}

.somemenu {
    min-width: 10px;
    min-height: 10px;
    float: left;
    padding-left: 15px;
}

.bottommenupart {
    float: right;
    min-width: 40px;
    min-height: 40px;
    padding-right: 20px;
}

.bottommenu a {
    color: white;
}

.rightsidebar {
    /*background: #fabb00;*/
    min-height: 200px;
}

.rightsidebar h2 {
    color: #438b92;
    font-size: 24px;
}

.rightsidebar a {
    color: black;
}

.whitecontinues {
    float: right; 
    display: block;
    color: white;
}

.rightsidebar div {
    overflow: auto;
}

.leftsidebar div {
    border-top: 1px solid #fabb00;
    font-weight: bold;
    padding-top: 3px;
    padding-bottom: 3px;
}

.leftsidebar a {
    color: #333333;
}

.navbar-simple .brand {
 	padding-top: 15px;
	padding-bottom: 15px;
}
.navbar-simple .navbar-inner {
	background: #fff;
	filter: none !important;
	box-shadow: 0 2px 15px rgba(0,0,0,0.25);
	-moz-box-shadow: 0 2px 15px rgba(0,0,0,0.25);
	-webkit-box-shadow: 0 2px 15px rgba(0,0,0,0.25);
	border-bottom: 1px solid rgba(0,0,0,0.2);
}
.navbar-simple .navbar-inner .nav {
	float: right;
}
.navbar-simple .navbar-inner .nav li a {
	background: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	color: #777;
	font-size: 13px;
	padding-top: 15px;
	padding-bottom: 15px;
	font-weight: 600;
}
.navbar-simple .navbar-inner .nav li a:hover {
	background: none;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
	color: #bf3604;
}		
.navbar-simple .navbar-inner .nav li.active a {
	color: #bf3604;
}

/**
 * Carousel
 */

.carousel {
  height: 300px;
  background-color: #438b92;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
  z-index: 10;
  font-size: 60px;
}

/* Declare heights because of positioning of img element */
.carousel .item {
  height: 300px;
}
.carousel-image {
  position: absolute;
  top: 0;
  left: 0;
  min-width: 100%;
  height: 300px;
}

/**
 * General Bootstrap styles
 */

@media (min-width: 768px) {
  .container-narrow {
    max-width: 730px;
  }
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
  /* Remove the bottom border on the jumbotron for visual effect */
  .jumbotron {
    border-bottom: 0;
  }
}

/**
 * Clinics 
 */

.map { 
    height: 550px; 
}

.borderless {
    border: none;
}

/**
 * Dark mode
 */

@media (prefers-color-scheme: dark) {
    body {
        background-color: #333333;
        color: white;
    }
}